BloomreachBestsellerGeneratedApiBestsellerApiRequest
Request parameters for bestsellerApi operation in BloomreachBestsellerGeneratedApi.
interface BloomreachBestsellerGeneratedApiBestsellerApiRequest {
readonly accountId: number;
readonly authKey?: string;
readonly brUid2: string;
readonly callback?: BestsellerApiCallbackEnum;
readonly domainKey: string;
readonly fl: string;
readonly fq?: string;
readonly refUrl: string;
readonly requestId: string;
readonly requestType: BestsellerApiRequestTypeEnum;
readonly rows: number;
readonly searchType: BestsellerApiSearchTypeEnum;
readonly start: number;
readonly title?: string;
readonly url: string;
readonly userId?: string;
readonly viewId?: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
accountId | Required | number | Your site's numerical Bloomreach account ID. Your Bloomreach representative gives your site's account ID to you before or during your integration kickoff meeting. <br><br> The example value shown here, <i>6702</i>, is included for your convenience to send a request with <b>Try It</b>. |
authKey | Optional | string | The Bloomreach-provided authentication key for the Bloomreach account that's sending the request. <br><br> Pass the auth_key with an empty value in client-side calls. The auth_key value is a private authorization key. If you include your valid auth_key value in client-side calls, then you inadvertently expose that private information to everybody. |
brUid2 | Required | string | A first-party cookie created by the Bloomreach tracking pixel library (BrTrk). This cookie creates a unique, anonymous identifier for every browser or device. <br><br> Use the default value provided, which is already encoded. |
callback | Optional | BestsellerApiCallbackEnum | Indicates whether to return data wrapped in the function for cross-origin requests. <br><br> For server-side requests, use the value br_server. For native-app requests, use the value br_app. |
domainKey | Required | string | Your site domain's ID, which is provided by Bloomreach. This ID is for the domain that you want to receive your Bloomreach API requests. This parameter identifies the specific site version when the one account ID hosts multiple site versions with unique characteristics, such as language versions. Bloomreach uses your domain_key parameter value to ensure that only the data that pertains to that site version is used for query and analytics features, such as autosuggestions. |
fl | Required | string | The attributes that you want returned in your API response, such as product IDs and prices. <br><br> All fl parameters for Bestseller requests must include pid as one of their values. Any attribute from your product feed may be used as a value for fl. <br><br> Multiple values should be comma separated, such as fl=pid,price. |
fq | Optional | string | The fq parameter applies a faceted filter to the returned products, searching for products that fit your parameter values. <br><br> Any facet that you want to filter must be in your feed. Read more about using the fq parameter in the "Simple Filtering" section in the Faceting and filtering page. <br><br> You can configure Attributes from the Catalog Management Tab. Configure which attributes in your content feed you want to apply as filters to search results. |
refUrl | Required | string | The URL of the page or HTTP referrer where the request is started. |
requestId | Required | string | An ID to track site visitor clicks. We recommend that you generate unique, random values of 13 digits to enable click-tracking. <br><br> Bloomreach doesn't automatically enforce the requirements for this parameter. For example, you can enter test as your value for each instance of the request_id parameter without triggering an error message. However, using a unique value allows us to help you if you encounter a problem. |
requestType | Required | BestsellerApiRequestTypeEnum | The type of API request. Value should be search for Bestseller requests. |
rows | Required | number | The number of matching items to return per results page in the API response. The maximum value is 200. <br><br> To enhance performance, limit this value to the number of items that you think is reasonable for a single page of search results. |
searchType | Required | BestsellerApiSearchTypeEnum | The type of search. Value should be bestseller for Bestseller requests. |
start | Required | number | The number of the first item on a page of results. For example, the first item on the first page is 0, making the start value also 0. <br><br> The maximum value is 10000. |
title | Optional | string | The title or name of the product. |
url | Required | string | The absolute URL of the page where the request is initiated. Do not use a relative URL. |
userId | Optional | string | The universal customer ID of the user. You only need to pass this field if your particular integration tracks customers this way. The parameter captures user IDs from the customer side, and reuses the information when powering apps or enhancing cross-device linking. In this way, Bloomreach recognizes users in a way that's aligned with your system. <br><br> Use an anonymous string. Don't use email or other personally identifiable information. <br><br> If you do not track users this way, then omit this field. |
viewId | Optional | string | A unique identifier for a specific view of your product catalog. If you have multiple versions of your site, each with their own product catalog characteristics like product titles and prices, then add view_id to your call. <br><br> Bloomreach uses your view_id parameter value to display the right product information for your customers based on their individual site views. You can enter any string value to identify the specific site catalog view. This string must be consistent in your pixel, API, and product catalog. |